求救编译问题(急)

编译安装或者制作Deb包
回复
superlaser
帖子: 18
注册时间: 2007-07-03 18:02
送出感谢: 0
接收感谢: 0

求救编译问题(急)

#1

帖子 superlaser » 2007-08-01 11:43

我现在了一个exosip软件包,想编译一下,但是除了下面的错误:

eXosip2.h:101: error: expected specifier-qualifier-list before 'osip_dialog_t'
eXosip2.h:128: error: expected specifier-qualifier-list before 'osip_transaction_t'
eXosip2.h:149: error: expected specifier-qualifier-list before 'osip_transaction_t'
eXosip2.h:163: error: expected specifier-qualifier-list before 'osip_transaction_t'
eXosip2.h:190: error: expected specifier-qualifier-list before 'osip_transaction_t'
eXosip2.h:214: error: expected specifier-qualifier-list before 'osip_transaction_t'
eXosip2.h:219: error: expected declaration specifiers or '...' before 'osip_transaction_t'
eXosip2.h:220: error: expected declaration specifiers or '...' before 'osip_message_t'
eXosip2.h:240: error: expected ')' before '*' token
eXosip2.h:247: error: expected ')' before '*' token
eXosip2.h:258: error: expected declaration specifiers or '...' before 'osip_transaction_t'
eXosip2.h:263: error: expected declaration specifiers or '...' before 'osip_transaction_t'
eXosip2.h:267: error: expected declaration specifiers or '...' before 'osip_transaction_t'
eXosip2.h:269: error: expected declaration specifiers or '...' before 'osip_transaction_t'
eXosip2.h:271: error: expected declaration specifiers or '...' before 'osip_transaction_t'
eXosip2.h:275: error: expected declaration specifiers or '...' before 'osip_transaction

请问,这个如何修改啊?
javran
帖子: 85
注册时间: 2007-07-14 16:16
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 javran » 2007-08-01 12:26

再下一个试试看?
superlaser
帖子: 18
注册时间: 2007-07-03 18:02
送出感谢: 0
接收感谢: 0

#3

帖子 superlaser » 2007-08-01 14:19

你好,能给个链接地址吗?
回复

回到 “编译或打包”